Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
sensors::AlertedSensorManager::SensorCounts Struct Reference

Statistics about monitored sensors. More...

## Public Attributes
int | total
| Total number of monitored sensors.
int | unavailable
| Number of unavailable sensors.
int | critical
| Number of critical sensors.
int | warned
| Number of warned sensors.

## Detailed Description

Statistics about monitored sensors.

Definition at line 26 of file AlertedSensorManager.idl.

## Member Data Documentation

## ◆ critical

int sensors::AlertedSensorManager::SensorCounts::critical

Number of critical sensors.

Definition at line 29 of file AlertedSensorManager.idl.

## ◆ total

int sensors::AlertedSensorManager::SensorCounts::total

Total number of monitored sensors.

Definition at line 27 of file AlertedSensorManager.idl.

## ◆ unavailable

int sensors::AlertedSensorManager::SensorCounts::unavailable

Number of unavailable sensors.

Definition at line 28 of file AlertedSensorManager.idl.

## ◆ warned

int sensors::AlertedSensorManager::SensorCounts::warned

Number of warned sensors.

Definition at line 30 of file AlertedSensorManager.idl.

The documentation for this struct was generated from the following file:

- AlertedSensorManager.idl